Help:Tillägg:Translate/Installation

This page is a translated version of the page Help:Extension:Translate/Installation and the translation is 100% complete.
Other languages:
Bahasa Indonesia • ‎Deutsch • ‎Deutsch (Sie-Form) • ‎English • ‎Kiswahili • ‎Lëtzebuergesch • ‎Nederlands • ‎Türkçe • ‎Zazaki • ‎català • ‎dansk • ‎español • ‎français • ‎italiano • ‎lietuvių • ‎polski • ‎português • ‎português do Brasil • ‎slovenčina • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎العربية • ‎हिन्दी • ‎বাংলা • ‎中文 • ‎日本語 • ‎한국어

På grund av sin snabba utveckling kräver Translate-tillägget en relativt aktuell version av MediaWiki för att fungera. Målet är att stödja utvecklingsversionen och de två senaste stabila versionerna av MediaWiki. I pakethanterare kan versionen vara för gammal för att uppfylla kriterierna. I så fall behöver du ladda ner den senaste utgåvan från mediawiki.com eller från Wikimedias Git-förvar.

Translate-tillägget använder en genomgående utvecklingsmodell, vilket betyder att den senaste versionen aldrig bör vara helt trasig på grund av alla bidrag till Translate-tillägget som granskas av volontärer och genomgår enhetstester. Kärnfunktionaliteten är ganska stabil, men det kan finnas större risker från gång till gång.

Systemkrav

Följande programvara krävs för att installera detta tillägg:

  1. Senaste versionen av MediaWiki
  2. MySQL-databas – SQLite (experimentell)
  3. Universala språkväljaren (ingår i MediaWikis språktilläggspaket (MLEB))
  4. (valfri Behövs ej sedan MLEB 2020.10) PHPlot för statistikgrafer.
  5. (valfri) Syck eller phpyaml för snabbare och bättre tolkning och generering av YAML.
  6. (valfri) ElasticSearch för avancerade sökfunktioner och översättningminne
  7. (valfri) Internetåtkomst till servern för maskinöversättningstjänster
PHP måste ha installerats med curl-modulen för att tillåta funktionen översättningsförslag.

MediaWiki kräver att jobbkön ställts in korrekt . Om din jobbkö inte är behandlad, kommer inget att fungera i Translate.

Dessutom krävs skalåtkomst för att köra underhållsskript.

Användningen av memcached till att cacha och, till exempel, APC PHP-accelerator rekommenderas i en produktionsmiljö.

Instruktion för installering

Gå till MediaWikis språktilläggspaket för att ladda ner länkar och instruktioner. Paketet innehåller ytterligare tillägg som ofta används tillsammans med Translate-tillägget. Det innehåller också en funktionell standardkonfigurering för att komma i gång. Se Help:Extension:Translate/Configuration för en beskrivning av inställningarna.